from setuptools import find_packages, setup

with open('README.md', 'r', encoding='utf-8') as f:
    long_description = f.read()

with open('requirements.txt', 'r', encoding='utf-8') as f:
    requirements = f.read().splitlines()

setup(
    name='uup',
    version='0.0.2',
    description='Wrapper for the Unified Update Platform (UUP) written in Python.',
    long_description=long_description,
    long_description_content_type='text/markdown',
    author='luzea',
    author_email='me@luzea.de',
    url='https://github.com/luzeadev/python-uup',
    packages=find_packages(where='src'),
    classifiers=[
        'Development Status :: 1 - Planning',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3 :: Only',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
        'Topic :: Software Development :: Libraries :: Python Modules',
        'Topic :: System :: Operating System',
    ],
    license='MIT',
    package_dir={'': 'src'},
    install_requires=requirements,
    python_requires='>=3.7',
    project_urls={
        'Bug Tracker': 'https://github.com/luzeadev/python-uup/issues',
    }
)
